<id>
Replied to Guest for 2611
</id>

<version>
0.2
</version>

<mod info>
Description:
This mod adds a notice to Admins (and those authorized to read Guest Messages to Admins) giving the name of the first Admin replying to the Guest BM and time. This lets other admins on a multi-admin forum know that a Guest Message has been handled.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ModList.pm (ASCII)
Languages/English/InstantMessage.lng (ASCII)
Sources/InstantMessage.pm (ASCII)
Sources/MyCenter.pm (ASCII)
</mod info>

<author>
by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $repliedtoguest = q~Replied to Guest BM for YaBB 2.6.11|Dandello|This mod adds a notice to Admins (and those authorized to read Guest Messages to Admins) giving the name of the first Admin replying to the Guest BM and time. This lets other admins on a multi-admin forum know that a Guest Message has been handled.|0.2|01/08/2015~;
    push @installed_mods, $repliedtoguest;
</add before>

<edit file>
Languages/English/InstantMessage.lng
</edit file>

<search for>
1;
</search for>

<add before>
$inmes_txt{'repguest'} = 'Replied to by ';

</add before>

<edit file>
Sources/InstantMessage.pm
</edit file>

<search for>
        require Sources::Mailer;
</search for>

<add before>
        fopen( BMBOX, "<$memberdir/broadcast.messages" );
        my @inmessages = <BMBOX>;
        fclose(BMBOX);
        fopen( BMBOX, ">$memberdir/broadcast.messages" );
        for (@inmessages) {
            @bmreplyfix = split /\|/xsm, $_;
            if ( $messageid == $bmreplyfix[0] && $bmreplyfix[15] ne q{} ) {
                chomp $_;
                print {BMBOX} qq~$_|$username|$date\n~ or croak "$croak{'print'} BMBOX";
            }
            else {
                print {BMBOX} $_ or croak "$croak{'print'} BMBOX";
            }
        }
        fclose(BMBOX);

</add before>

<search for>
            $mflags,      $mstorefolder, $mattach,
</search for>

<replace>
            $mflags,      $mstorefolder, $mattach, $mrepby, $mrepdate,
</replace>

<search for>
    {    ## inbox / stored inbox can reply/quote
        if ( $mstatus eq 'g' || $mstatus eq 'ga' ) {
</search for>

<add after>
           $postMenuTemp = q{};
           if ($mrepby) {
                $postMenuTemp = qq~$inmes_txt{'repguest'} ${ $uid . $mrepby }{'realname'} ~ . timeformat($mrepdate);
            }
</add after>

<edit file>
Sources/MyCenter.pm
</edit file>

<search for>
            $msubject = qq~Re: $msubject~;
</search for>

<add after>

            fopen( BMBOX, "<$memberdir/broadcast.messages" );
            my @inmessages = <BMBOX>;
            fclose(BMBOX);
            fopen( BMBOX, ">$memberdir/broadcast.messages" );
            for (@inmessages) {
                @bmreplyfix = split /\|/xsm, $_;
                if ( $qmessageid == $bmreplyfix[0] && $bmreplyfix[15] ne q{} ) {
                    chomp $_;
                    print {BMBOX} qq~$_|$username|$date\n~ or croak "$croak{'print'} BMBOX";
                }
                else {
                    print {BMBOX} $_ or croak "$croak{'print'} BMBOX";
                }
            }
            fclose(BMBOX);
</add after>

<search for>
                    undef, $messStatus, undef,
</search for>

<replace>
                    undef, $messStatus, undef, $repby, $repdate,
</replace>

<search for>
                $messageFlags, $storeFolder,  $messageAttachment,
</search for>

<replace>
                $messageFlags, $storeFolder,  $messageAttachment, $repby, $repdate,
</replace>

<search for>
            elsif ( $action eq 'im' && $viewBMess ) {
                if ( $messStatus eq 'g' || $messStatus eq 'ga' ) {
                    $actionsMenu =
qq~<a href="$scripturl?action=imsend;caller=$callerid;quote=$mreplyno;replyguest=1;id=$messageid">$inmes_txt{'146'}</a>~;
</search for>

<replace>
            elsif ( $action eq 'im' && $viewBMess ) {
                if ( $messStatus eq 'g' || $messStatus eq 'ga' ) {
                    $myrepby = q{};
                    if ($repby) {
                        $myrepby = qq~$inmes_txt{'repguest'}${ $uid . $repby }{'realname'} ~ . timeformat($repdate) . $sepa;
                    }
                    $actionsMenu =
qq~$myrepby<a href="$scripturl?action=imsend;caller=$callerid;quote=$mreplyno;replyguest=1;id=$messageid">$inmes_txt{'146'}</a>~;
</replace>
